# template: default
%global gem_name hocon

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: HOCON Config Library
License: ASL 2.0
URL: https://github.com/puppetlabs/ruby-hocon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 1.9.0
BuildRequires: ruby >= 1.9.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
== A port of the Java {Typesafe Config}[https://github.com/typesafehub/config]
library to Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%{_bindir}/hocon
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md

%changelog
* Sun Apr 02 2023 Foreman Packaging Automation <packaging@theforeman.org> 1.4.0-1
- Update to 1.4.0

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.3.1-2
- Rebuild against rh-ruby27

* Thu Aug 20 2020 Lukas Zapletal <lzap+rpm@redhat.com> 1.3.1-1
- Add rubygem-hocon generated by gem2rpm using the scl template

